VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressOrigin Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressOrigin:

## Avaliable Methods
public method | new ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressOrigin` enumerated type* Defines IPV6 address origin values Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressOrigin::DHCP # The IPv6 address is assigned by a DHCP server. See RFC 4293. Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressOrigin::RANDOM # The IPv6 address is assigned randomly by the system. See RFC 4293. Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressOrigin::MANUAL # The IPv6 address was manually configured to a specified address, for, example, by user configuration. See RFC 4293. Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressOrigin::OTHER # The IPv6 address is assigned by a mechanism other than manual, DHCP, SLAAC, or random. See RFC 4293. Constant Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressOrigin::LINKLAYER # The IPv6 address is assigned by IPv6 Stateless Address Auto-configuration (SLAAC). See RFC 4293.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressOrigin::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressOrigin enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.appliance.techpreview.networking.ipv6.I_pv6_address_origin',
'binding_class' => 'Com::Vmware::Appliance::Techpreview::Networking::Ipv6::IPv6AddressOrigin');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Networking/Ipv6.pm